FIX::NullApplication Class Reference

An empty implementation of an Application. More...

`#include <Application.h>`

Inheritance diagram for FIX::NullApplication:
[legend]
Collaboration diagram for FIX::NullApplication:
[legend]

## Private Member Functions

void | onCreate (const SessionID &)
| Notification of a session begin created. More...
void | onLogon (const SessionID &)
| Notification of a session successfully logging on. More...
void | onLogout (const SessionID &)
| Notification of a session logging off or disconnecting. More...
void | toAdmin (Message &, const SessionID &)
| Notification of admin message being sent to target. More...
void | toApp (Message &, const SessionID &) throw ( DoNotSend )
| Notification of app message being sent to target. More...
void | fromAdmin (const Message &, const SessionID &) throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )
| Notification of admin message being received from target. More...
void | fromApp (const Message &, const SessionID &) throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )
| Notification of app message being received from target. More...

## Additional Inherited Members

Public Member Functions inherited from FIX::Application
virtual | ~Application ()

## Detailed Description

An empty implementation of an Application.

This can be used if you do not want to provide an implementation for all the callback methods. It is also useful for unit tests writing unit tests where the callback values of some or all methods are not of interest.

Definition at line 111 of file Application.h.

## Member Function Documentation

## fromAdmin()

void FIX::NullApplication::fromAdmin | ( | const Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | FieldNotFound,
|  | IncorrectDataFormat,
|  | IncorrectTagValue,
|  | RejectLogon
| ) |  |

inline private virtual

Notification of admin message being received from target.

Implements FIX::Application.

Definition at line 119 of file Application.h.

{}

## fromApp()

void FIX::NullApplication::fromApp | ( | const Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | FieldNotFound,
|  | IncorrectDataFormat,
|  | IncorrectTagValue,
|  | UnsupportedMessageType
| ) |  |

inline private virtual

Notification of app message being received from target.

Implements FIX::Application.

Definition at line 121 of file Application.h.

{}

## onCreate()

void FIX::NullApplication::onCreate | ( | const SessionID & |  | ) |

inline private virtual

Notification of a session begin created.

Implements FIX::Application.

Definition at line 113 of file Application.h.

{}

## onLogon()

void FIX::NullApplication::onLogon | ( | const SessionID & |  | ) |

inline private virtual

Notification of a session successfully logging on.

Implements FIX::Application.

Definition at line 114 of file Application.h.

{}

## onLogout()

void FIX::NullApplication::onLogout | ( | const SessionID & |  | ) |

inline private virtual

Notification of a session logging off or disconnecting.

Implements FIX::Application.

Definition at line 115 of file Application.h.

{}

## toAdmin()

void FIX::NullApplication::toAdmin | ( | Message & | ,
|  | const SessionID & |
| ) |  |

inline private virtual

Notification of admin message being sent to target.

Implements FIX::Application.

Definition at line 116 of file Application.h.

{}

## toApp()

void FIX::NullApplication::toApp | ( | Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | DoNotSend
| ) |  |

inline private virtual

Notification of app message being sent to target.

Implements FIX::Application.

Definition at line 117 of file Application.h.

{}

The documentation for this class was generated from the following file:

- Application.h